// EasyPOD_IOControlDlg.h : header file
//

#if !defined(AFX_EasyPOD_IOControlDLG_H__3903EEC0_6999_485F_BD19_F4C91A915EDF__INCLUDED_)
#define AFX_EasyPOD_IOControlDLG_H__3903EEC0_6999_485F_BD19_F4C91A915EDF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CEasyPOD_IOControlDlg dialog

class CEasyPOD_IOControlDlg : public CDialog
{
// Construction
public:
	BOOL m_blnError;
	DWORD SetPortSetting(BYTE bytValue);
	DWORD GetPortSetting();
	UINT m_uintTimer;
	UINT m_uintRetryTimer;
	BOOL m_blnDone;
	int m_intPortNum;
	DWORD ShowPortSetting(BYTE * pBuffer);
	void ShowErrorMessage(DWORD dwResult);
	BOOL g_blnIOMode;
	CEasyPOD_IOControlDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEasyPOD_IOControlDlg)
	enum { IDD = IDD_EasyPOD_IOControl_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEasyPOD_IOControlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEasyPOD_IOControlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnbtnExit();
	afx_msg void OnradPort0();
	afx_msg void OnradPort1();
	afx_msg void OnradPort2();
	afx_msg void OnradPort3();
	afx_msg void OnradPort4();
	afx_msg void OnradOutput();
	afx_msg void OnradInput();
	afx_msg void OnbtnPx0();
	afx_msg void OnbtnPx1();
	afx_msg void OnbtnPx2();
	afx_msg void OnbtnPx3();
	afx_msg void OnbtnPx4();
	afx_msg void OnbtnPx5();
	afx_msg void OnbtnPx6();
	afx_msg void OnbtnPx7();
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EasyPOD_IOControlDLG_H__3903EEC0_6999_485F_BD19_F4C91A915EDF__INCLUDED_)
